Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class EjbJarTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.EjbJarTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbJarType<T>

    public class EjbJarTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbJarType<T>

This class implements the `ejb-jarType` xsd type

Original Documentation:

The ejb-jarType defines the root element of the EJB
deployment descriptor. It contains
- an optional description of the ejb-jar file
- an optional display name
- an optional icon that contains a small and a large
icon file name
- an optional module name. Only applicable to
stand-alone ejb-jars or ejb-jars packaged in an ear.
Ignored if specified for an ejb-jar.xml within a .war.
In that case, standard .war module-name rules apply.
- structural information about all included
enterprise beans that is not specified through
annotations
- structural information about interceptor classes
- a descriptor for container managed relationships,
if any.
- an optional application-assembly descriptor
- an optional name of an ejb-client-jar file for the
ejb-jar.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EjbJarTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EjbJarTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AssemblyDescriptorType<EjbJarType<T>>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<EjbJarType<T>>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClientJar()` Returns the `ejb-client-jar` element
`java.util.List<IconType<EjbJarType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getModuleName()` Returns the `module-name` element
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<EjbJarType<T>>` | `icon()` Returns the `icon` element
`InterceptorsType<EjbJarType<T>>` | `interceptors()` If not already created, a new `interceptors` element will be created and returned.
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`RelationshipsType<EjbJarType<T>>` | `relationships()` If not already created, a new `relationships` element will be created and returned.
`EjbJarType<T>` | `removeAllDescription()` Removes the `description` element
`EjbJarType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`EjbJarType<T>` | `removeAllIcon()` Removes all `icon` elements
`EjbJarType<T>` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`EjbJarType<T>` | `removeEjbClientJar()` Removes the `ejb-client-jar` element
`EjbJarType<T>` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`EjbJarType<T>` | `removeInterceptors()` Removes the `interceptors` element
`EjbJarType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`EjbJarType<T>` | `removeModuleName()` Removes the `module-name` element
`EjbJarType<T>` | `removeRelationships()` Removes the `relationships` element
`EjbJarType<T>` | `removeVersion()` Removes the `version` attribute
`EjbJarType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbJarType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbJarType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`EjbJarType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`EjbJarType<T>` | `setEjbClientJar(java.lang.String ejbClientJar)` If not already created, a new `ejb-client-jar` element with the given value will be created.
`EjbJarType<T>` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`EjbJarType<T>` | `setModuleName(java.lang.String moduleName)` If not already created, a new `module-name` element with the given value will be created.
`EjbJarType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbJarTypeImpl

    public EjbJarTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### EjbJarTypeImpl

    public EjbJarTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public EjbJarType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### setDescriptionList

    public EjbJarType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EjbJarType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbJarType`

### removeAllDescription

    public EjbJarType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EjbJarType<T>`
  Returns:
    list of `description`

### setDisplayName

    public EjbJarType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### setDisplayNameList

    public EjbJarType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `EjbJarType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `EjbJarType`

### removeAllDisplayName

    public EjbJarType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `EjbJarType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public EjbJarType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### icon

    public IconType<EjbJarType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<EjbJarType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `EjbJarType<T>`
  Returns:
    list of `icon`

### setModuleName

    public EjbJarType<T> setModuleName(java.lang.String moduleName)

  If not already created, a new `module-name` element with the given value will be created. Otherwise, the existing `module-name` element will be updated with the given value.

  Specified by:
    `setModuleName` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### removeModuleName

    public EjbJarType<T> removeModuleName()

  Removes the `module-name` element

  Specified by:
    `removeModuleName` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### getModuleName

    public java.lang.String getModuleName()

  Returns the `module-name` element

  Specified by:
    `getModuleName` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `module-name`

### removeEnterpriseBeans

    public EjbJarType<T> removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Specified by:
    `removeEnterpriseBeans` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### enterpriseBeans

    public EnterpriseBeansType<EjbJarType<T>> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Specified by:
    `enterpriseBeans` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `enterprise-beans`

### removeInterceptors

    public EjbJarType<T> removeInterceptors()

  Removes the `interceptors` element

  Specified by:
    `removeInterceptors` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### interceptors

    public InterceptorsType<EjbJarType<T>> interceptors()

  If not already created, a new `interceptors` element will be created and returned. Otherwise, the existing `interceptors` element will be returned.

  Specified by:
    `interceptors` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `interceptors`

### removeRelationships

    public EjbJarType<T> removeRelationships()

  Removes the `relationships` element

  Specified by:
    `removeRelationships` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### relationships

    public RelationshipsType<EjbJarType<T>> relationships()

  If not already created, a new `relationships` element will be created and returned. Otherwise, the existing `relationships` element will be returned.

  Specified by:
    `relationships` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `relationships`

### removeAssemblyDescriptor

    public EjbJarType<T> removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Specified by:
    `removeAssemblyDescriptor` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### assemblyDescriptor

    public AssemblyDescriptorType<EjbJarType<T>> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Specified by:
    `assemblyDescriptor` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `assembly-descriptor`

### setEjbClientJar

    public EjbJarType<T> setEjbClientJar(java.lang.String ejbClientJar)

  If not already created, a new `ejb-client-jar` element with the given value will be created. Otherwise, the existing `ejb-client-jar` element will be updated with the given value.

  Specified by:
    `setEjbClientJar` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### removeEjbClientJar

    public EjbJarType<T> removeEjbClientJar()

  Removes the `ejb-client-jar` element

  Specified by:
    `removeEjbClientJar` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### getEjbClientJar

    public java.lang.String getEjbClientJar()

  Returns the `ejb-client-jar` element

  Specified by:
    `getEjbClientJar` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `ejb-client-jar`

### setVersion

    public EjbJarType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `EjbJarType<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `EjbJarType`

### removeVersion

    public EjbJarType<T> removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `version`

### setMetadataComplete

    public EjbJarType<T> setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Specified by:
    `setMetadataComplete` in interface `EjbJarType<T>`
  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `EjbJarType`

### removeMetadataComplete

    public EjbJarType<T> removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Specified by:
    `removeMetadataComplete` in interface `EjbJarType<T>`
  Returns:
    the current instance of `EjbJarType`

### isMetadataComplete

    public java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Specified by:
    `isMetadataComplete` in interface `EjbJarType<T>`
  Returns:
    the node defined for the element `metadata-complete`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD